# Fn<> IosOpenMode
Return the `std::ios` open mode for a direction.

Defined in | <seqan/basic.h>
Signature | `IosOpenMode<TDirection[, TDummy]>::Type;`

## Template Parameters

`TDirection` | The direction to query for the open mode, one of the DirectionTags.
`TDummy` | Implementation detail, defaults to `void` and is ignored.

## Return Values

`Type` | The resulting open mode of type `const int`.

#### Dox Sources

    /*!
     * @mfn IosOpenMode
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Return the <tt>std::ios</tt> open mode for a direction.
     *
     * @signature IosOpenMode<TDirection[, TDummy]>::Type;
     *
     * @tparam TDirection The direction to query for the open mode, one of the @link
     *                    DirectionTags @endlink.
     * @tparam TDummy Implementation detail, defaults to <tt>void</tt> and is
     *                ignored.
     *
     * @return Type The resulting open mode of type <tt>const int</tt>.
     */